# Thymeleaf
spring.thymeleaf.cache=false

# Konfigurasi Koneksi Database
spring.datasource.url=jdbc:mysql://localhost/akademik2?useUnicode=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=UTC&zeroDateTimeBehavior=convertToNull
spring.datasource.username=root
spring.datasource.password=
spring.jpa.show-sql=false
spring.jpa.properties.hibernate.format_sql=true

# Konfigurasi Hibernate
spring.jpa.hibernate.ddl-auto=none
spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL55Dialect

spring.mobile.devicedelegatingviewresolver.enabled=true
spring.mobile.sitepreference.enabled=true

# JSON Output
spring.jackson.serialization.indent-output=true

## Tagihan Simak
#tagihan.id.spp.tetap = 5b4cf035-4538-4722-aeb2-ab6971c8f967
#tagihan.id.spp.variabel =  ee7c125e-70a9-4de9-b020-7a50658c834e,de2e97e3-028a-4f53-b943-302860398892
#
#
##Kafka
spring.kafka.bootstrap-servers=kafka.tazkia.ac.id:9092
spring.kafka.consumer.group-id=smile
kafka.topic.tagihan.request=tagihan-request-dev
kafka.topic.tagihan.response=tagihan-response-dev
kafka.topic.tagihan.payment=tagihan-payment-dev
kafka.topic.va.response=virtual-account-response-dev
kafka.topic.hapus.tagihan=tagihan-hapus-request-dev
kafka.topic.hapus.tagihan.response=tagihan-hapus-response-dev

kafka.topic.notifikasi=notification-pXrR9

# API Url
spmb.mahaiswa.url = https://localhost:8080/api/mahasiswanim
presensi.barcode.url = https://localhost:8080/api/mahasiswanim
# API Akuntansi
akuntansi.baseurl = http://192.168.47.154:8081/public/api/
scheduled.sendTagihanAkun = 0 22 03 * * *
scheduled.sendPembayaranAkun = 0 00 17 * * *
scheduled.sendCicilanTagihanAkun = 0 34 03 * * *
scheduled.sendCicilanPembayaranAkun = 0 30 20 * * *


# Lokasi upload file
upload.dokumen=/tmp/upload/dokumen
upload.folder=/tmp/img
mahasiswa.folder=/tmp/img/mahasiswa
upload.excel=/tmp/upload
upload.silabus=/tmp/upload/silabus
upload.soal=/tmp/upload/soal
upload.barcode=/tmp/upload/presensi
upload.rps=/tmp/upload/rps
upload.note=/tmp/upload/note
upload.seminar=/tmp/upload/sempro
upload.sidang=/tmp/upload/sidang
upload.wisuda=/tmp/upload/wisuda
upload.buktiPembayaran=/tmp/upload/buktiPembayaran
upload.berkasCicilan=/tmp/upload/berkasCicilan
upload.berkasPenangguhan=/tmp/upload/berkasPenangguhan
upload.berkasPeringanan=/tmp/upload/berkasPeringanan
upload.ktp=/tmp/upload/ktp
upload.ijazah=/tmp/upload/ijazah
upload.memoKeuangan=/tmp/upload/memoKeuangan
upload.fotoKaryawan=/tmp/upload/fotoKaryawan
upload.suratUjian=/tmp/upload/suratUjian
upload.magang=/tmp/upload/magang
upload.mbkm=/tmp/upload/mbkm
upload.tugas.dosen=/tmp/upload/dosen/tugas
upload.tugas.mhs=/tmp/upload/mahasiswa/tugas
upload.materi.dosen=/tmp/upload/dosen/materi
upload.sertifikatTlc=/tmp/upload/tlc/kewajiban/sertifikat
upload.rejectedTlc=/tmp/upload/tlc/kewajiban/rejected
upload.prediksiTest=/tmp/upload/tlc/prediksi
upload.request.konversi=/tmp/upload/requestKonversi
upload.event=C:/Users/pc/Documents/gmail
upload.fotokuliah=C:/Users/pc/Documents/gmail
upload.event.absensi=C:/Users/pc/Documents/gmail
logo.surat=${user.home}/Documents/tazkia
logo.ttd=${user.home}/Documents/tazkia/ttd kps
scheduled.sendTagihanHapus = 0 05 14 * * *
spring.servlet.multipart.max-file-size=10MB
spring.servlet.multipart.max-request-size=10MB

logging.level.id.ac.tazkia.apliaksi_akademik=DEBUG

#logging.level.org.springframework.security=DEBUG

spring.security.oauth2.client.registration.google.client-id= 136316859401-rkh48of4ok3jkodtg7cqog1d6afikcl0.apps.googleusercontent.com
spring.security.oauth2.client.registration.google.client-secret= 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

#spring.security.oauth2.client.registration.google.client-id= 554159130352-gk39csle1nkfr9b0euqj912ejloc7m5b.apps.googleusercontent.com
#spring.security.oauth2.client.registration.google.client-secret=jXFQLYA1IN6WqhYbPWB8GcRe

#spring.security.oauth2.client.registration.google.client-id=1075442890358-hhk3fvmboqaehao8jvmfdk3l7bo5aqsn.apps.googleusercontent.com
#spring.security.oauth2.client.registration.google.client-secret=oQYDk7GqSozTVjwPKN3IKLUH

#spring.security.oauth2.client.registration.google.client-id=402351837768-05k6kvi85035pm6b9b4sg50tu7cnd748.apps.googleusercontent.com
#spring.security.oauth2.client.registration.google.client-secret=6J2nmdCaoqoTW6vRCzSRTLHZ


# Konfigurasi Notifikasi
notifikasi.smile.konfigurasi.telat=smile-keteranganTelat

# Konfigurasi Email
redirect.email=http://localhost:8080
spring.application.name=notifikasi-gmail
gmail.account.username=smile@stmik.tazkia.ac.id
gmail.folder=C:/Users/Sopian/gmail/.gmail-api/cred

gmail.credential=${gmail.folder}/client_secret.json


# Startup Task
#runOnStartup=true
